# Basic settings for database backups #

There are 2 required values in the jobs/backup.job

```text
dir-localdumps = /var/iml-backup
keep-days = 7
```

This defines the backup target for sql dumps and how long they will be kept locally.

There is an optional value to define the target directory for archived dumps. This value is used for couchdb2 only.

`dir-dbarchive = /var/localdumps/archive`

see [backup.job](50_File_backup.job.md)

## Backup sqlite ##

Sqlite files can be located anywhere in the filesystem. That's why the
cannot be located with an auto detection. You need to define them in
the file jobs/backup-dbfiles.job first.

Per database file set a line with the `sqlite = ` prefix

```text
sqlite = /var/lib/whatever/sqlite-database_01.db
sqlite = /var/lib/somewhere/else/db.sqlite
```

see [backup-dbfiles.job](50_File_backup-dbfiles.job.md)
